5

So i have the normal Firefox Quantum65.0 installed on my Ubuntu 18.04.1 LTS. I want to install Firefox developer edition.

I have already tried:

sudo add-apt-repository ppa:ubuntu-mozilla-daily/firefox-aurora
sudo apt-get update
sudo apt-get install firefox

But it simply re-installs the normal firefox. So i tried:

sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make
sudo apt-get update
sudo apt-get install ubuntu-make

And when i run umake web firefox-dev i get Choose installation path: /home/me/.local/share/umake/web/firefox-dev And when i press Enter i get the following error:

ERROR: One default was already registered, can't register a second one in that choices set: ['en-US', 'en-US', 'ach', 'af', 'sq', 'ar', 'an', 'hy-AM', 'as', 'ast', 'az', 'eu', 'be', 'bn-BD', 'bn-IN', 'bs', 'br', 'bg', 'my', 'ca', 'zh-CN', 'zh-TW', 'hr', 'cs', 'da', 'nl', 'en-GB', 'en-CA', 'en-ZA', 'en-US', 'eo', 'et', 'fi', 'fr', 'fy-NL', 'ff', 'gd', 'gl', 'ka', 'de', 'el', 'gn', 'gu-IN', 'he', 'hi-IN', 'hu', 'is', 'id', 'ia', 'ga-IE', 'it', 'ja', 'kab', 'kn', 'cak', 'kk', 'km', 'ko', 'lv', 'lij', 'lt', 'dsb', 'mk', 'mai', 'ms', 'ml', 'mr', 'ne-NP', 'nb-NO', 'nn-NO', 'oc', 'or', 'fa', 'pl', 'pt-BR', 'pt-PT', 'pa-IN', 'ro', 'rm', 'ru', 'sr', 'si', 'sk', 'sl', 'son', 'es-AR', 'es-CL', 'es-MX', 'es-ES', 'sv-SE', 'ta', 'te', 'th', 'tr', 'uk', 'hsb', 'ur', 'uz', 'vi', 'cy', 'xh']
ERROR: Unhandled exception
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/umake/tools.py", line 158, in wrapper
    function(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/umake/frameworks/web.py", line 116, in get_metadata_and_check_license
    UI.delayed_display(TextWithChoices(_("Choose language: {}".format(default_label)), languages, True))
  File "/usr/lib/python3/dist-packages/umake/interactions/__init__.py", line 59, in __init__
    raise BaseException(message)
BaseException: One default was already registered, can't register a second one in that choices set: ['en-US', 'en-US', 'ach', 'af', 'sq', 'ar', 'an', 'hy-AM', 'as', 'ast', 'az', 'eu', 'be', 'bn-BD', 'bn-IN', 'bs', 'br', 'bg', 'my', 'ca', 'zh-CN', 'zh-TW', 'hr', 'cs', 'da', 'nl', 'en-GB', 'en-CA', 'en-ZA', 'en-US', 'eo', 'et', 'fi', 'fr', 'fy-NL', 'ff', 'gd', 'gl', 'ka', 'de', 'el', 'gn', 'gu-IN', 'he', 'hi-IN', 'hu', 'is', 'id', 'ia', 'ga-IE', 'it', 'ja', 'kab', 'kn', 'cak', 'kk', 'km', 'ko', 'lv', 'lij', 'lt', 'dsb', 'mk', 'mai', 'ms', 'ml', 'mr', 'ne-NP', 'nb-NO', 'nn-NO', 'oc', 'or', 'fa', 'pl', 'pt-BR', 'pt-PT', 'pa-IN', 'ro', 'rm', 'ru', 'sr', 'si', 'sk', 'sl', 'son', 'es-AR', 'es-CL', 'es-MX', 'es-ES', 'sv-SE', 'ta', 'te', 'th', 'tr', 'uk', 'hsb', 'ur', 'uz', 'vi', 'cy', 'xh']

What is the problem here exactly and how do i solve it? Any help is appriciated. Thanks

2 Answers 2

2

Ubuntu's official repository and Ubuntu Desktop's repository contains umake versions 16.11.1ubuntu1 and 18.05~bionic1 respectively. This seems to be a bug under that versions of umake. I installed umake from the repository of Galileo Sartor and all seem to work fine under that umake. This repository contains umake version 18.09+201902042247~ubuntu18.04.1 at the time of installation. That umake installed Firefox Developer Edition version 65.0b5.

  • Uninstall previously installed Ubuntu make and Ubuntu Desktop's repository:

    sudo apt autoremove ubuntu-make
    sudo add-apt-repository --remove ppa:ubuntu-desktop/ubuntu-make
    
  • To install Ubuntu make from above said repository and then firefox-dev:

    sudo add-apt-repository ppa:lyzardking/ubuntu-make
    sudo apt install ubuntu-make
    umake web firefox-dev
    

This repository contains daily build versions of umake and is also mentioned in umake - Ubuntu Wiki, so might be considered as a trusted ppa.

3
  • I get the same error
    – Ajo
    Feb 7, 2019 at 4:21
  • 1
    Thank you, installed succesfully but how do i add it to the launcher and dock. I have to goto the installed path to launch it everytime
    – Ajo
    Feb 7, 2019 at 6:59
  • @Ajo For this you need to create a Desktop Entry. Follow the answer on How can I create launchers?
    – Kulfy
    Feb 7, 2019 at 7:02
2

Simply specify the language along with the umake command

umake web firefox-dev --lang en-US

you are welcome to replace the --lang en-US with the language of your choice.

Solution credits from Ubuntu umake issue tracker git

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.